variables:
  _flow_merge_src_merge: "https://gitlab.com/gxmmx/gitops/flowwork/-/raw/main/src/merge/merge.sh"
  _flow_merge_img_merge: alpine:latest

merge source:
  image: $_flow_merge_img_merge
  stage: preflight
  dependencies: []
  before_script:
    - apk add wget
    - wget -q -O /usr/bin/flow-merge "$_flow_merge_src_merge"
    - chmod +x /usr/bin/flow-merge
  script:
    - /usr/bin/flow-merge check
  rules:
    - if: $CI_PIPELINE_SOURCE != 'merge_request_event'
      when: never
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $_flow_prod_branch && $_flow_prod_merge != 'any'
      variables:
        _flow_merge_source: $_flow_prod_merge
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $_flow_env1_branch && $_flow_env1_merge != 'any'
      variables:
        _flow_merge_source: $_flow_env1_merge
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $_flow_env2_branch && $_flow_env2_merge != 'any'
      variables:
        _flow_merge_source: $_flow_env2_merge
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $_flow_env3_branch && $_flow_env3_merge != 'any'
      variables:
        _flow_merge_source: $_flow_env3_merge
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $_flow_env4_branch && $_flow_env4_merge != 'any'
      variables:
        _flow_merge_source: $_flow_env4_merge
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $_flow_env5_branch && $_flow_env5_merge != 'any'
      variables:
        _flow_merge_source: $_flow_env5_merge
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $_flow_env6_branch && $_flow_env6_merge != 'any'
      variables:
        _flow_merge_source: $_flow_env6_merge
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $_flow_env7_branch && $_flow_env7_merge != 'any'
      variables:
        _flow_merge_source: $_flow_env7_merge
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $_flow_env8_branch && $_flow_env8_merge != 'any'
      variables:
        _flow_merge_source: $_flow_env8_merge
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == $_flow_env9_branch && $_flow_env9_merge != 'any'
      variables:
        _flow_merge_source: $_flow_env9_merge
